---
title: Batch create
url: https://www.tines.com/docs/api/cases/linked_cases/batch-create/
updated: 2026-05-26T15:26:21+00:00
description: Batch link cases together by creating a new case link.
---

*[tines.com](https://www.tines.com/llms.txt) › [Docs](https://www.tines.com/llms.txt) › [Tines API](https://www.tines.com/llms.txt) › [Cases](https://www.tines.com/llm/docs/api/cases.md) › [Linked cases](https://www.tines.com/llm/docs/api/cases/linked_cases.md)*

# Batch create

*[View on tines.com](https://www.tines.com/docs/api/cases/linked_cases/batch-create/)*

## Description

Batch link cases together by creating a new case link.

## Request

HTTP Method: **POST**

| Parameter | Description                                          |
| --------- | ---------------------------------------------------- |
| ids       | Array of IDs of the target cases. Max length of 150. |

| Path Parameter | Description            |
| -------------- | ---------------------- |
| case_id        | ID of the source case. |

### Sample request

```bash
curl -X POST \
  https://<tenant-domain>/api/v2/cases/<<case_id>>/linked_cases/batch \
  -H 'content-type: application/json' \
  -H 'Authorization: Bearer <<CREDENTIAL.tines_api_key>>' \
  -d '{
        "ids": ["43", "54", "67"]
      }'
```

## Response

A successful request will return a JSON object of the source case ID & name with the linked cases.

### Field description

| Parameter    | Description                                                            |
| ------------ | ---------------------------------------------------------------------- |
| case_id      | The case ID.                                                           |
| name         | The case name.                                                         |
| linked_cases | The array of cases linked to this case. Includes the case id and name. |

### Sample response

<!-- cspell:disable -->

```json
{
  "case_id": 42,
  "name": "Suspicious login detected",
  "linked_cases": [
    {
      "case_id": 43,
      "name": "Suspicious login detected #2"
    },
    {
      "case_id": 54,
      "name": "Suspicious login detected #3"
    },
    {
      "case_id": 67,
      "name": "Suspicious login detected #4"
    }
  ]
}
```

<!-- cspell:enable -->
